## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           typescript
Version:        5.7.3
Release:        %autorelease
Summary:        A language for application-scale JavaScript
License:        Apache-2.0
URL:            https://www.typescriptlang.org
Source:         https://registry.npmjs.org/typescript/-/typescript-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-devel


%description
TypeScript is a language for application-scale JavaScript. TypeScript adds
optional types to JavaScript that support tools for large-scale JavaScript
applications for any browser, for any host, on any OS. TypeScript compiles to
readable, standards-based JavaScript.


%prep
%autosetup -n package
# adjust the shebang lines to get a runtime dependency matching the
# node_modules_* directory where the code is actually installed to
sed -e '/#!/ s/node/node-%{_nodejs_major_version}/' -i bin/tsc bin/tsserver


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/typescript
cp -pr package.json bin/ lib/ %{buildroot}%{nodejs_sitelib}/typescript

mkdir -p %{buildroot}%{_bindir}
# this symlink must use the major version path or else it will break after a
# nodejs major version bump
ln -s ../lib/node_modules_%{_nodejs_major_version}/typescript/bin/tsc %{buildroot}%{_bindir}/tsc
ln -s ../lib/node_modules_%{_nodejs_major_version}/typescript/bin/tsserver %{buildroot}%{_bindir}/tsserver


%check
%{__nodejs} -e 'require("./")'


%files
%license LICENSE.txt
%{nodejs_sitelib}/typescript
%{_bindir}/tsc
%{_bindir}/tsserver


%changelog
## START: Generated by rpmautospec
* Tue Jan 14 2025 Neal Gompa <ngompa@fedoraproject.org> - 5.7.3-1
- Rebase to 5.7.3

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jul 05 2024 Carl George <carlwgeorge@fedoraproject.org> - 5.5.3-1
- Update to version 5.5.3 rhbz#2218490
- Change runtime dependency from /usr/bin/node to /usr/bin/node-<major>
- Avoid broken command symlinks that can happen after a nodejs major
  version bump

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 07 2023 Carl George <carl@george.computer> - 5.1.3-1
- Update to version 5.1.3

* Fri Feb 10 2023 Carl George <carl@george.computer> - 4.9.3-3
- Increase obsoletes upper bound slightly

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.9.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Nov 21 2022 Carl George <carl@george.computer> - 4.9.3-1
- Update to 4.9.3

* Mon Oct 10 2022 Carl George <carl@george.computer> - 4.8.4-2
- Update to 4.8.4

* Mon Oct 10 2022 Carl George <carl@george.computer> - 4.8.4-1
- Update to 4.8.4

* Mon Oct 10 2022 Carl George <carl@george.computer> - 4.8.3-1
- Rename of nodejs-typescript to typescript, resolves rhbz#2130053
## END: Generated by rpmautospec
